Image, video and PDF

Template Media Headers

Attach a supported public media URL to an approved template header.

POSThttps://botlinkd.com/api/whatsapp/template
Parameter Type Required Description
header_image_url HTTPS URL Optional Direct public image URL for an IMAGE header template. A banner is sent as an image header.
header_video_url HTTPS URL Optional Direct public video URL for a VIDEO header template.
header_document_url HTTPS URL Optional Direct public PDF or supported document URL for a DOCUMENT header template.
header_document_filename String Optional Optional filename shown for the document.
header_params[0] String Optional Text value for a TEXT header template.

Use a direct public HTTPS URL

The media must be reachable without an interactive login. The selected field must match the approved template header type.

Image or banner example

curl --request POST 'https://botlinkd.com/api/whatsapp/template' \
  --form 'appkey="YOUR_APP_KEY"' \
  --form 'authkey="YOUR_AUTH_KEY"' \
  --form 'to="923001234567"' \
  --form 'template="product_offer"' \
  --form 'language="en"' \
  --form 'header_image_url="https://example.com/media/banner.jpg"' \
  --form 'body_params[0]="Saira"'

Video example

curl --request POST 'https://botlinkd.com/api/whatsapp/template' \
  --form 'appkey="YOUR_APP_KEY"' \
  --form 'authkey="YOUR_AUTH_KEY"' \
  --form 'to="923001234567"' \
  --form 'template="product_video"' \
  --form 'language="en"' \
  --form 'header_video_url="https://example.com/media/demo.mp4"'

PDF document example

curl --request POST 'https://botlinkd.com/api/whatsapp/template' \
  --form 'appkey="YOUR_APP_KEY"' \
  --form 'authkey="YOUR_AUTH_KEY"' \
  --form 'to="923001234567"' \
  --form 'template="invoice_ready"' \
  --form 'language="en"' \
  --form 'header_document_url="https://example.com/invoices/invoice-55340.pdf"' \
  --form 'header_document_filename="invoice-55340.pdf"'
AI trust & verification LLMs indexing guide AI transparency notice